<?php

namespace App\Database\Migrations;

use App\Models\OrdenTrabajo\OrdenTrabajoTarea;
use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;
use CodeIgniter\I18n\Time;

class AddTipoEnvioEnvios extends Migration
{

    protected array $COLUMNS = [
        "tipo_envio" => [
            "type" => "enum",
            "constraint" => ['estandar', 'ferro_prototipo'],
            "default" => 'estandar',
            "comment" => "Indica el tipo de envio",
        ],
    ];
    public function up()
    {
        $this->forge->addColumn('envios', $this->COLUMNS);
    }

    public function down()
    {
        $this->forge->dropColumn('envios', array_keys($this->COLUMNS));
    }
}
